org.apache.ivy.osgi.updatesite.xml

## Class CategoryDef

- java.lang.Object
- - org.apache.ivy.osgi.updatesite.xml.CategoryDef

    public class CategoryDef
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CategoryDef()`

### Method Summary

Methods
`void` `setDescription(java.lang.String trim)`
`void` `setLabel(java.lang.String label)`
`void` `setName(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CategoryDef

    public CategoryDef()

### Method Detail

#### setLabel

    public void setLabel(java.lang.String label)

#### setName

    public void setName(java.lang.String name)

#### setDescription

    public void setDescription(java.lang.String trim)